summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2017-09-28 11:26:52 +0200
committerPatrice Clement <monsieurp@gentoo.org>2017-09-28 11:31:45 +0200
commitf0112afcf54bd453d833831e0fa6f83f35ffee1a (patch)
tree31dd622b405334887778fb827acc4615da4c064b /app-vim
parentnet-im/skypeforlinux: version bump to 5.5.0.1. (diff)
downloadgentoo-f0112afcf54bd453d833831e0fa6f83f35ffee1a.tar.gz
gentoo-f0112afcf54bd453d833831e0fa6f83f35ffee1a.tar.bz2
gentoo-f0112afcf54bd453d833831e0fa6f83f35ffee1a.zip
app-vim/eruby-syntax: EAPI 6 bump.
Package-Manager: Portage-2.3.8, Repoman-2.3.1
Diffstat (limited to 'app-vim')
-rw-r--r--app-vim/eruby-syntax/eruby-syntax-2.0-r2.ebuild18
1 files changed, 18 insertions, 0 deletions
diff --git a/app-vim/eruby-syntax/eruby-syntax-2.0-r2.ebuild b/app-vim/eruby-syntax/eruby-syntax-2.0-r2.ebuild
new file mode 100644
index 00000000000..6e87f027959
--- /dev/null
+++ b/app-vim/eruby-syntax/eruby-syntax-2.0-r2.ebuild
@@ -0,0 +1,18 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: syntax highlighting for eruby"
+HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=403"
+LICENSE="vim.org"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+
+VIM_PLUGIN_HELPTEXT="This plugin provides syntax highlighting for eruby"
+
+src_prepare() {
+ default
+ sed -i -e 's#hi link#hi def link#' syntax/eruby.vim || die "sed failed"
+}